<%@ import namespace="System.IO" %>

<script language="vb" runat="server">

Protected Sub Page_Load(s As Object, e As EventArgs)

  Try
    Dim baseDirectory As String = "c:\temp\"           
    Dim uploadDirectory As String = Request("directory")
    Dim folders As String
    Dim PostedFile As HttpPostedFile

    If Not uploadDirectory  = "" Then
      folders = Path.Combine(baseDirectory , uploadDirectory)
    Else
      folders = baseDirectory
    End If

    For i As Integer = 0 To Request.Files.Count - 1

      PostedFile = Request.Files(i)

      ' Creates the full path
      Dim filePath As String = Path.Combine(folders, PostedFile.FileName)   

      ' Create the directories
      Dim dir As New DirectoryInfo(Path.GetDirectoryName(filePath))
      dir.Create                          

      ' Save the uploaded file
      PostedFile.SaveAs(filePath)

    Next

  Catch ex As Exception

    Console.WriteLine("Exception occurred: ", ex.ToString())

    ' Internal server error
    Response.StatusCode = 500               

  End Try

End Sub

</script>

